# Uses of Class
org.apache.qpid.proton.amqp.transport.Detach

Packages that use Detach
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Detach in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Detach
Modifier and Type
Method
Description
`Detach`
Detach.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Detach
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleDetach(Detach detach, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Detach
Modifier
Constructor
Description
``
`Detach(Detach other)`

## Uses of Detach in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Detach
Modifier and Type
Method
Description
`Detach`
DetachType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Detach
Modifier and Type
Method
Description
`Class<Detach>`
DetachType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Detach
Modifier and Type
Method
Description
`protected List`
DetachType.`wrap(Detach val)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type Detach
Modifier
Constructor
Description
``
`DetachWrapper(Detach detach)`

## Uses of Detach in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Detach
Modifier and Type
Method
Description
`void`
TransportImpl.`handleDetach(Detach detach, Binary payload, Integer channel)`